export var useRowDragEnd = function useRowDragEnd(selected) {
  var handleRowDragEnd = function handleRowDragEnd(params) {
    var overIndex = params.overIndex,
      overNode = params.overNode;
    var node = selected.document.getNodeById(overNode.id);
    var nodeIndex = selected.children.indexOf(node);
    selected.children.insert(node, overIndex > nodeIndex ? overIndex + 1 : overIndex);
  };
  return handleRowDragEnd;
};