import { usePrefixCls } from '@formily/antd-v5/lib/__builtins__';
import { useStyle } from './style';
import cls from 'classnames';
import { forwardRef } from 'react';
export var RuleGroup = /*#__PURE__*/forwardRef(function RuleGroup(props, ref) {
  var className = props.className,
    style = props.style,
    children = props.children;
  var prefixCls = usePrefixCls('rule-group');
  var _useStyle = useStyle(prefixCls),
    wrapSSR = _useStyle[0],
    hashId = _useStyle[1];
  return wrapSSR(/*#__PURE__*/React.createElement("div", {
    ref: ref,
    className: cls(prefixCls, hashId, className),
    style: style
  }, children));
});