"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.RuleGroup = void 0;
var _builtins__ = require("@formily/antd-v5/lib/__builtins__");
var _style = require("./style");
var _classnames = _interopRequireDefault(require("classnames"));
var _react = require("react");
var RuleGroup = exports.RuleGroup = /*#__PURE__*/(0, _react.forwardRef)(function RuleGroup(props, ref) {
  var className = props.className,
    style = props.style,
    children = props.children;
  var prefixCls = (0, _builtins__.usePrefixCls)('rule-group');
  var _useStyle = (0, _style.useStyle)(prefixCls),
    wrapSSR = _useStyle[0],
    hashId = _useStyle[1];
  return wrapSSR(/*#__PURE__*/React.createElement("div", {
    ref: ref,
    className: (0, _classnames["default"])(prefixCls, hashId, className),
    style: style
  }, children));
});