"use strict";

exports.__esModule = true;
exports.onFieldDiffValueChange = onFieldDiffValueChange;
var _core = require("@formily/core");
function onFieldDiffValueChange(pattern, callback) {
  var initialized = false;
  var valueChangeKey;
  (0, _core.onFieldInputValueChange)(pattern, function (field, form) {
    valueChangeKey = field.path.toString();
    callback(field, form);
  });
  (0, _core.onFieldValueChange)(pattern, function (field, form) {
    // 第一次初始化时跳过
    if (!initialized) {
      initialized = true;
      return;
    }
    var key = field.path.toString();
    if (valueChangeKey === key) return;
    callback(field, form);
  });
}