import React from 'react';
import { JSXComponent } from '@formily/core';
import { ISchema } from '@formily/react';
import { ISettingTopEntry } from '@gant-lowcode/lowcode-designer';
export declare function SettingsForm({ className, style, settings, schema, components, scope, }: {
    className?: string;
    style?: React.CSSProperties;
    settings: ISettingTopEntry;
    schema: ISchema;
    components?: Record<string, JSXComponent>;
    scope?: Record<string, any>;
}): JSX.Element;
