import { onFieldInputValueChange, onFieldValueChange } from '@formily/core';
export function onFieldDiffValueChange(pattern, callback) {
  var initialized = false;
  var valueChangeKey;
  onFieldInputValueChange(pattern, function (field, form) {
    valueChangeKey = field.path.toString();
    callback(field, form);
  });
  onFieldValueChange(pattern, function (field, form) {
    // 第一次初始化时跳过
    if (!initialized) {
      initialized = true;
      return;
    }
    var key = field.path.toString();
    if (valueChangeKey === key) return;
    callback(field, form);
  });
}